/*  $Id: sdl_target.cpp,v 1.8 2004/02/18 14:32:15 sphair Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*/

#include "Display/display_precomp.h"
#include "display_window_sdl.h"
#include "sdl_target.h"
#include "surface_sdl.h"
#include "API/Core/System/error.h"

/////////////////////////////////////////////////////////////////////////////
// CL_SDLTarget construction:


/////////////////////////////////////////////////////////////////////////////
// CL_SDLTarget attributes:


/////////////////////////////////////////////////////////////////////////////
// CL_SDLTarget operations:

CL_DisplayWindow_Generic *CL_SDLTarget::create_window()
{
	return new CL_DisplayWindow_SDL;
}

CL_Surface_Target *CL_SDLTarget::create_surface(
	CL_PixelBuffer *provider,
	bool delete_provider,
	int flag)
{
	return new CL_Surface_SDL(provider, delete_provider, flag);
}

CL_Canvas_Generic *CL_SDLTarget::create_canvas()
{
	throw CL_Error("Congratulations! You just got assigned the task of implementing CL_Canvas for clanSDL :-)");
	return 0;
}

CL_Font_Target *CL_SDLTarget::create_system_font_target(
	CL_Font_Generic *attributes,
	const std::string &font_name,
	const std::string &letters,
	int height,
	int width,
	bool bold,
	bool italic,
	bool underline,
	bool strikeout)
{
	throw CL_Error("Congratulations! You just got assigned the task of implementing system fonts for clanSDL :-)");
	return 0;
}

bool CL_SDLTarget::enable_packer()
{
	return false;
}

/////////////////////////////////////////////////////////////////////////////
// CL_OpenGLTarget implementation:
